Subject: Re: bug#17893: 24.4.50; (error "Marker does not point anywhere")

From: Stefan Monnier <[email-masked]>
Date: Tue, 01 Jul 2014 22:11:12 -0400

>> I think we need more data to figure out why the mark isn't set and hence
>> what to do about it.  A reproducible test case would obviously be best,
>> but otherwise maybe some indication of what kind of mouse gesture you
>> did, or what kind of customizations you might have that could interact
>> with that code and could unset the mark (maybe from
>> a pre/post-command-hook?).
> Sorry; If I knew such things I would have mentioned them.  I was not
> aware of making any mouse gestures or even using the mouse, IIRC.  But
> I might have moved the mouse somehow; dunno.

Then maybe it comes from something completely different.
The clear-temporary-map is called when we "exit" a set-temporary-map, so
it can also happen with things like C-u, or C-x z, or users of
`repeat'.  Not sure which ones use `pop-mark', tho.

        Stefan